//
//  MoreViewController.swift
//  MusicPlayer
//
//  Created by Mr.Zhou on 2024/4/7.
//

import UIKit
///更多操作
class MoreViewController: UIViewController {
    var renameBlock:ActionBlock?
    var deleteBlock:ActionBlock?
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }
    //对音乐重命名
    @IBAction func renameClick(_ sender: UIButton) {
        dismiss(animated: true) {
            [weak self] in
            guard let self = self else { return }
            guard renameBlock != nil else {
                return
            }
            renameBlock!()
        }
    }
    //删除音乐
    @IBAction func deleteClick(_ sender: UIButton) {
        dismiss(animated: true) {
            [weak self] in
            guard let self = self else { return }
            guard deleteBlock != nil else {
                return
            }
            deleteBlock!()
        }
    }
    
}
